
#page {
  position: relative;
}

.app {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  
  display: grid;
  grid-template-columns: 5fr 4fr;
  column-gap: 10px;
  row-gap: 10px;
  padding: 0 10px;
}

.app > * {
  background-color: #131c24;
}

.viewport {
  position: relative;
  overflow: hidden;
}

.viewport .background {
  position: absolute;
  top: -8px; bottom: -8px; left: -8px; right: -8px;
  background: radial-gradient(at 50% 30%,rgba(0,0,0,.0), rgba(0,0,0,.6));
}
body.notCached .viewport .background {
  _transition: opacity .15s;
}
body.loading .viewport .background {
  _opacity: 0;
}

.viewport .stand {
  position: absolute;
  top: 0; bottom: 0; left: 0; right: 0;
  background: url(../venus2.png) center 0% no-repeat;
  background-size: 100%;
  background-position-y: 0%;
  opacity: .75;
  display: none;
}

.viewport .controls {
  position: absolute;
  margin: 0;
  padding: 4px 8px;
  display: flex;
  justify-content: center;
  gap: 8px;
  font-size: 24px;
  line-height: 32px;
  white-space: nowrap;
}
.viewport .controls.top { top: 0; }
.viewport .controls.right { right: 0; }
.viewport .controls.bottom { bottom: 0; }
.viewport .controls.left { left: 0; }
.viewport .controls.center { left: 50%; right: 50%; gap: 32px; }
.viewport .controls.middle { top: 50%; bottom: 50%; }

.viewport .controls span[action='length'] {
  cursor: pointer;
}

.viewport .controls span[action] i {
  opacity: 0.6;
  cursor: pointer;
  transition: opacity .15s;
}
.viewport .controls span[action] i:hover {
  opacity: 1;
}
.viewport .cord {
  position: absolute;
  top: 30%; bottom: 0; left: 50%; right: 0;
  opacity: 0;
  transition: opacity 1s;
}
.viewport .cord.ready {
  opacity: 1;
}
.viewport .cord > div {
  position: absolute;
  width: 48px;
  height: 48px;
  transform: translate(-50%, -50%) scale(.4);
  transition: top .05s, left .05s;
}
.viewport .cord > span {
  position: absolute;
  overflow: hidden;
  pointer-events: none;
}
.viewport .cord > span:before {
  content: '';
  position: absolute;
  top: 0; right: 0; bottom: 0; left: 0;
  border: 1px solid;
  border-radius: 50%;
}
.viewport .cord > span.up:before { bottom: -100%; }
.viewport .cord > span.down:before { top: -100%; }

.catalog {
  user-select: none;
  overflow-y: scroll;
  position: relative;
}
.catalog .section {
  margin: 0 0 15px;
}
.catalog .section .name {
  font-size: 120%;
  line-height: 30px;
  margin: 10px 4px 0;
  padding: 0 18px;
  background-color: #131c24;
  position: relative;
  border-bottom: 2px solid rgba(0, 0, 0, .7);;
}
.catalog .section .name .price {
  margin: 0 0 0 10px;
}
.catalog .section .name .links {
  margin: 0 0 0 20px;
}
.catalog .section .name .links a {
  margin: 0 0 0 10px;
}
.catalog .content {
  font-size: 0%;
  padding: 2px;
}
.catalog .bead {
  display: inline-block;
  width: 128px;
  height: 128px;
  background: radial-gradient(rgba(48,48,48,.3), rgba(0,0,0,.7) 95%);
  margin: 4px;
  box-shadow: 0px 0px 4px 1px rgba(0, 0, 0, 0.7);
  border-radius: 1px;
  position: relative;
  font-size: var(--bs-body-font-size);
}
.catalog .bead .price {
  position: absolute;
  right: 0; bottom: 0;
  font-size: 80%;
}

.viewport .cord > div .preview,
.catalog .bead .preview,
.viewport .cord > div .drag,
.catalog .bead .drag {
  position: absolute;
  top: 0;
  left: 0;
  width: 128px;
  height: 128px;
  background-size: 1024px;
  background-position-x: 0px;
  background-position-y: 0px;
}
.viewport .cord > div .drag,
.catalog .bead .drag {
  cursor: grab;
  opacity: 0;
}
._viewport .cord > div .drag.dragging,
.catalog .bead .drag.dragging {
  cursor: grabbing;
  position: fixed;
  opacity: 0.5;
  z-index: 1000;
}

.viewport .cord > div .preview {
  top: -40px;
  left: -40px;
  pointer-events: none;
  transform-origin: 64px 68px;
}
.viewport .cord > div .drag {
  width: 48px;
  height: 48px;
}
.viewport .cord > div .drag.dragging {
  top: -40px;
  left: -40px;
  width: 128px;
  height: 128px;
}


.catalog .controls {
  display: none;
  position: fixed;
  right: 16px;
  bottom: 14%;
  width: 64px;
  font-size: 48px;
  padding: 10px;
  opacity: .3;
  pointer-events: none;
}

#bottom {
  text-align: right;
  padding: 4px 32px;
}

.catalog .section[id="2"] .content {
  opacity: 0.3;
  pointer-events: none;
}


#beadDlg {
  display: flex;
  flex-direction: column;
}
#beadDlg .preview {
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  background: radial-gradient(rgba(48,48,48,.3), rgba(0,0,0,.7) 95%);
  margin: 0 0 10px;
}
#beadDlg .preview > div {
  width: 256px;
  height: 256px;
  background-size: 2048px;
  background-position-x: 0px;
  background-position-y: 0px;
}
#beadDlg .params {
  display: grid;
  grid-template-columns: 0fr 0fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
}
.params > span {
  padding: 0 5px;
}
#beadDlg .params .description {
  padding: 0 5px;
  grid-column: 3;
  grid-row: 1 / span 3;
}

#sizeDlg {
  display: flex;
  flex-direction: column;
}
#sizeDlg .preview {
  width: 350px;
  height: 595px;
  background: url('../images/woman.png') center center no-repeat;
  overflow: hidden;
  position: relative;
}
#sizeDlg .preview > div {
  position: absolute;
  top: 130px;
  left: 151px;
  width: 48px;
  height: 60px;
  overflow: hidden;
}
#sizeDlg .preview > div::after {
  content: '';
  position: absolute;
  left: 0; right: 0;
  height: 200%;
  bottom: 0;
  border: 4px dotted;
  border-radius: 50%;
}
#sizeDlg .controls {
  display: flex;
  justify-content: center;
  align-items: center;
}
#sizeDlg .controls i {
  cursor: pointer;
}
#sizeDlg input {
  border: none;
  background: transparent;
  outline: none;
  padding: 0 10px;
  text-align: center;
  color: #55848e;
  width: 60px;
}


@media (max-width: 1399.98px) {
}
@media (max-width: 1199.98px) {
}
@media (max-width: 991.98px) {
}
@media (max-width: 767.98px) {
  .app {
    grid-template-columns: 1fr;
    grid-template-rows: 5fr 3fr;
  }
  .catalog .bead {
    width: 96px;
    height: 96px;
  }
  .catalog .bead .preview {
    background-size: 768px;
    width: 96px;
    height: 96px;
  }
  .catalog .bead .drag {
    width: 96px;
    height: 96px;
  }
  .catalog {
    padding-right: 64px;
  }
  .catalog .controls {
    display: block;
  }  
}
@media (max-width: 575.98px) {
}
